Package com.xebialabs.xlrelease.api.v1.forms

# Class CreateTeam

java.lang.Object
com.xebialabs.xlrelease.api.v1.forms.CreateTeam

public class CreateTeam extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateTeam()`
  `CreateTeam(String name)`
  `CreateTeam(String name, List<String> principals, List<String> roles, List<String> permissions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPermission(String name)`
  `void`
  `addPermissions(List<String> names)`
  `void`
  `addPrincipal(String name)`
  `void`
  `addPrincipals(List<String> names)`
  `void`
  `addRole(String name)`
  `void`
  `addRoles(List<String> names)`
  `String`
  `getName()`
  `List<String>`
  `getPermissions()`
  `List<String>`
  `getPrincipals()`
  `List<String>`
  `getRoles()`
  `void`
  `setName(String name)`
  `void`
  `setPermissions(List<String> permissions)`
  `void`
  `setPrincipals(List<String> principals)`
  `void`
  `setRoles(List<String> roles)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateTeam

    public CreateTeam()

  - ### CreateTeam

    public CreateTeam(String name)

  - ### CreateTeam

    public CreateTeam(String name, List<String> principals, List<String> roles, List<String> permissions)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getPrincipals

    public List<String> getPrincipals()

  - ### setPrincipals

    public void setPrincipals(List<String> principals)

  - ### getRoles

    public List<String> getRoles()

  - ### setRoles

    public void setRoles(List<String> roles)

  - ### getPermissions

    public List<String> getPermissions()

  - ### setPermissions

    public void setPermissions(List<String> permissions)

  - ### addPrincipal

    public void addPrincipal(String name)

  - ### addPrincipals

    public void addPrincipals(List<String> names)

  - ### addRole

    public void addRole(String name)

  - ### addRoles

    public void addRoles(List<String> names)

  - ### addPermission

    public void addPermission(String name)

  - ### addPermissions

    public void addPermissions(List<String> names)